Saltar al contenido

Delete an emergency contact

Módulo Identity

DELETE/emergency-contacts/{id}emergencyContacts.delete

One of the caller's emergency contacts (Section 4.5.6 item 10), in calling order, at most five (422 emergency_contact_limit). Phones are E.164 (Section 15). Shared with an engagement under the Emergency Contacts category. Soft-deletes the emergency contact: it moves to Trash and can be restored for its table's retention period.

  • Requiere la capacidad me.work_details.write.
  • Alcances de OAuth: me.
  • Estados de error: 401, 404, 422, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

emergencyContacts.delete: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the emergency contact.

Respuesta 204: sin cuerpo.

Ejemplos de código

curl -X DELETE "$XOS_BASE_URL/emergency-contacts/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data } = await xos.emergencyContacts.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.emergency_contacts.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos emergency-contacts delete 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f